### Method

# Gdk ToplevelSize get_bounds

#### Declaration [src]

    void
    gdk_toplevel_size_get_bounds (
      GdkToplevelSize* size,
      int* bounds_width,
      int* bounds_height
    )

#### Description [src]

Retrieves the bounds the toplevel is placed within.

The bounds represent the largest size a toplevel may have while still being able to fit within some type of boundary. Depending on the backend, this may be equivalent to the dimensions of the work area or the monitor on which the window is being presented on, or something else that limits the way a toplevel can be presented.

#### Parameters

`bounds_width` | `int*`
| Return location for width.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`bounds_height` | `int*`
| Return location for height.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.